### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-page-banner/ecl-page-banner.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit`

### Metadata

selector | `ecl-page-banner`
templateUrl | `./ecl-page-banner.component.html`

### Index

###### Properties
eclLinkComponents
###### Methods
getCssClasses
###### Inputs
image isCentered isFullWidth variant class e2eAttr
###### HostBindings
class
###### Accessors
cssClasses hasCtaLink

### Inputs

image
Type : `string`

isCentered
Type : `boolean`
Default value : `true`

isFullWidth
Type : `boolean`
Default value : `false`

variant
Type : `"default" | "image-shade" | "image-gradient" | "primary" | "secondary" | "white"`
Default value : `'default'`

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

class
Type : `any`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclLinkComponents
Type : `QueryList<EclLinkDirective>`
Decorators : `@ContentChildren(undefined)`

### Accessors

cssClasses
get `cssClasses()`

hasCtaLink
get `hasCtaLink()`

# results matching ""

# No results matching ""